Bug 461128 - smart-root gives "unknown error"
smart-root gives "unknown error"
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: smart (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-04 09:21 EDT by Anders F Björklund
Modified: 2008-09-16 19:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-16 19:19:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anders F Björklund 2008-09-04 09:21:59 EDT
Trying to start up Smart as root with: smart-root --gui
gives the helpful dialog "Unknown error" and an "OK"...

Seems to be PAM-related, since copying /etc/pam.d/synaptic
over /etc/pam.d/smart-root seems to made it work again ?


Installing gksu and using gksu -- smart --gui also works.
But I think using consolehelper is the Fedora preferred ?
Comment 1 Brad 2008-09-10 16:10:49 EDT
Trying to start up Smart as user with: smart-root --gui
gives the helpful dialog "Unknown error" and an "OK"...

Normally I get a prompt for root password. It was working fine before the .newkey update. It also works if I su - then smart --gui.
Comment 2 Steven Usdansky 2008-09-11 08:08:07 EDT
/etc/pam.d/smart-root is not present after upgrading to the smart-1.0.54.fc10.i386 packages. I kept a copy of my old file, and copied it back into place after upgrading smart. It works.
Comment 3 Brad 2008-09-11 13:01:55 EDT
I do not know if this is the correct way to do this or not, but I replaced:

auth       required	pam_stack.so service=system-auth

with:

auth       include	system-auth

In the /etc/pam.d/smart-root file.
Comment 4 Fedora Update System 2008-09-13 12:59:48 EDT
smart-1.0-55.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/smart-1.0-55.fc8
Comment 5 Fedora Update System 2008-09-13 12:59:51 EDT
smart-1.0-55.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/smart-1.0-55.fc9
Comment 6 Fedora Update System 2008-09-14 04:00:37 EDT
fedora-package-config-apt-8-2.transitional,fedora-package-config-smart-8-12.0.2.transitional has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/fedora-package-config-apt-8-2.transitional,fedora-package-config-smart-8-12.0.2.transitional
Comment 7 Fedora Update System 2008-09-14 04:00:40 EDT
fedora-package-config-apt-9-3.transitional,fedora-package-config-smart-9-13.0.2.transitional has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/fedora-package-config-apt-9-3.transitional,fedora-package-config-smart-9-13.0.2.transitional
Comment 8 Fedora Update System 2008-09-16 19:19:38 EDT
smart-1.0-55.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-09-16 19:20:46 EDT
smart-1.0-55.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.